## Class POP3

Description

Located in /class.pop3.php (line 46)

Variable Summary
string $CRLF
int $do_debug
string $host
string $password
int $POP3_PORT
int $POP3_TIMEOUT
int $port
int $tval
string $username
Method Summary
POP3 POP3 ()
void Authorise (string $host, [integer $port = false], [integer $tval = false], string $username, string $password, mixed $debug_level)
void catchWarning (integer $errno, string $errstr, string $errfile, integer $errline)
boolean checkResponse (string $string)
boolean Connect (string $host, [integer $port = false], [integer $tval = 30])
void Disconnect ()
void displayErrors ()
string getResponse ([integer $size = 128])
boolean Login ([string $username = ''], [string $password = ''])
integer sendString (string $string)
Variables
string $CRLF = "\r\n" (line 64)

POP3 Carriage Return + Line Feed

int $do_debug = 2 (line 70)

Displaying Debug warnings? (0 = now, 1+ = yes)

string $host (line 76)

POP3 Mail Server

string $password (line 100)

POP3 Password

int $POP3_PORT = 110 (line 52)

Default POP3 port

int $POP3_TIMEOUT = 30 (line 58)

Default Timeout

int $port (line 82)

POP3 Port

int $tval (line 88)

POP3 Timeout Value

string $username (line 94)

POP3 Username

Methods
Constructor POP3 (line 115)

Constructor, sets the initial values

POP3 POP3 ()
Authorise (line 131)

Combination of public events - connect, login, disconnect

void Authorise (string $host, [integer $port = false], [integer $tval = false], string $username, string $password, mixed $debug_level)

- string $host
- integer $port
- integer $tval
- string $username
- string $password

catchWarning (line 425)

Takes over from PHP for the socket warning handler

void catchWarning (integer $errno, string $errstr, string $errfile, integer $errline)

- integer $errno
- string $errstr
- string $errfile
- integer $errline

checkResponse (line 377)

Checks the POP3 server response for +OK or -ERR

boolean checkResponse (string $string)

- string $string

Connect (line 192)

Connect to the POP3 server

boolean Connect (string $host, [integer $port = false], [integer $tval = 30])

- string $host
- integer $port
- integer $tval

Disconnect (line 330)

Disconnect from the POP3 server

void Disconnect ()
displayErrors (line 405)

If debug is enabled, display the error message array

void displayErrors ()
getResponse (line 350)

Get the socket response back.

$size is the maximum number of bytes to retrieve

string getResponse ([integer $size = 128])

- integer $size

Login (line 277)

Login to the POP3 server (does not support APOP yet)

boolean Login ([string $username = ''], [string $password = ''])

- string $username
- string $password

sendString (line 363)

Send a string down the open socket connection to the POP3 server

integer sendString (string $string)

- string $string

Documentation generated on Thu, 02 Apr 2009 21:19:49 -0400 by phpDocumentor 1.3.0RC3